USE [test]
GO

DROP TABLE [dbo].[ord]
GO

DROP TABLE [dbo].[customer]
GO

DROP TABLE [dbo].[region]
GO

CREATE TABLE [dbo].[customer](
	[id] [int] NOT NULL,
	[name] [varchar](50) NULL,
	[phone] [varchar](25) NULL,
	[address] [varchar](400) NULL,
	[city] [varchar](30) NULL,
	[state] [varchar](30) NULL,
	[country] [varchar](30) NULL,
	[zip_code] [varchar](75) NULL,
	[credit_rating] [varchar](9) NULL,
	[sales_rep_id] [int] NULL,
	[region_id] [int] NULL,
	[comments] [varchar](255) NOT NULL,
	CONSTRAINT [customer_PK] PRIMARY KEY ([id])
)
GO

CREATE TABLE [dbo].[ord](
	[id] [int] NOT NULL,
	[customer_id] [int] NULL,
	[date_ordered] [date] NULL,
	[date_shipped] [date] NULL,
	[sales_rep_id] [int] NULL,
	[total] [numeric](11, 2) NULL,
	[payment_type] [varchar](6) NULL,
	[ordr_filled] [varchar](1) NULL,
	CONSTRAINT [ord_PK] PRIMARY KEY ([id])
)
GO

CREATE TABLE [dbo].[region](
	[id] [int] NOT NULL,
	[name] [varchar](50) NULL,
	CONSTRAINT [PK_region] PRIMARY KEY ([id])
)
GO

ALTER TABLE [dbo].[ord] ADD CONSTRAINT [ord_customer_id_FK] FOREIGN KEY([customer_id])
REFERENCES [dbo].[customer] ([id])
GO

ALTER TABLE [dbo].[customer] ADD CONSTRAINT [customer_region_id_FK] FOREIGN KEY([region_id])
REFERENCES [dbo].[region] ([id])
GO

ALTER TABLE [dbo].[ord] ADD CONSTRAINT [ord_payment_type_CK] 
CHECK  (([payment_type]='CREDIT' OR [payment_type]='CASH'))
GO

ALTER TABLE [dbo].[customer] ADD CONSTRAINT [customer_credit_rating_CK] 
CHECK  (([credit_rating]='POOR' OR [credit_rating]='GOOD' OR [credit_rating]='EXCELLENT'))
GO

